@import '_content/BlazorDateRangePicker/BlazorDateRangePicker.iitr8bszy4.bundle.scp.css';

/* /Pages/Shared/Components/AmountColumnLabel.razor.rz.scp.css */
.price[b-1f8msrhazl] {
    font-size : 15px;
    font-weight : bold;
    width:100%;
}

.price-color-default[b-1f8msrhazl] {
    color: blue;
}

.price-color-green[b-1f8msrhazl] {
    color: green;
}

.price-color-red[b-1f8msrhazl] {
    color: red;
}

.price-color-black[b-1f8msrhazl] {
    color: black;
}

.price-color-white[b-1f8msrhazl] {
    color: white;
}

.price-color-primary[b-1f8msrhazl] {
    color: var(--rz-primary);
}

.price-color-zero[b-1f8msrhazl] {
    color: var(--rz-primary);
    font-weight: normal;
}


/* /Pages/Shared/Components/DateLabel.razor.rz.scp.css */
.date[b-l1r4ruiqig] {
	color: purple;
}
/* /Pages/Shared/Components/Dialogs/EditImageDialog.razor.rz.scp.css */
.file-drop-zone[b-362uphoc7k] {
    border: 3px dotted green;
    padding: 10px;
}

.hover[b-362uphoc7k] {
    border-style: solid;
    background-color: white;
}

.rz-dialog-content[b-362uphoc7k] {
    height:100%;
}

/* /Pages/Shared/Components/DiscountColumnLabel.razor.rz.scp.css */
.quantity[b-03okp4w1r5] {
    font-weight: bold;
    font-size: 15px;
    width : 100%;
}

.quantity-color-default[b-03okp4w1r5] {
    color: blue;
}

.quantity-color-green[b-03okp4w1r5] {
    color: green;
}

.quantity-color-red[b-03okp4w1r5] {
    color: red;
}

.quantity-color-orange[b-03okp4w1r5] {
    color: darkorange;
}

.quantity-color-zero[b-03okp4w1r5] {
    color: lightgray;
    font-weight: normal;
}
/* /Pages/Shared/Components/HelpText.razor.rz.scp.css */
.text-helper[b-ib6csj63zv] {
    cursor: pointer;
}
/* /Pages/Shared/Components/ImagesManagment.razor.rz.scp.css */


.rz-multiselect-label-container[b-1a8z9j28cf] {
    overflow: visible;
}

.rz-dropdown-label[b-1a8z9j28cf] {
    overflow: visible;
}


.rz-multiselect[b-1a8z9j28cf] {
    overflow: visible;
}


.rz-dropdown[b-1a8z9j28cf] {
    overflow: visible;
}

.draggable-item[b-1a8z9j28cf] {
    cursor: pointer;
}
/* /Pages/Shared/Components/LoadingBar.razor.rz.scp.css */
/* https://icons8.com/cssload/en/horizontal-bars */

#floatBarsG[b-f26hxnva25] {
	position: relative;
	width: 234px;
	height: 28px;
	margin: auto;
}

.floatBarsG[b-f26hxnva25] {
	position: absolute;
	top: 0;
	background-color: rgb(0,0,0);
	width: 28px;
	height: 28px;
	animation-name: bounce_floatBarsG-b-f26hxnva25;
	-o-animation-name: bounce_floatBarsG;
	-ms-animation-name: bounce_floatBarsG;
	-webkit-animation-name: bounce_floatBarsG;
	-moz-animation-name: bounce_floatBarsG;
	animation-duration: 1.5s;
	-o-animation-duration: 1.5s;
	-ms-animation-duration: 1.5s;
	-webkit-animation-duration: 1.5s;
	-moz-animation-duration: 1.5s;
	animation-iteration-count: infinite;
	-o-animation-iteration-count: infinite;
	-ms-animation-iteration-count: infinite;
	-webkit-animation-iteration-count: infinite;
	-moz-animation-iteration-count: infinite;
	animation-direction: normal;
	-o-animation-direction: normal;
	-ms-animation-direction: normal;
	-webkit-animation-direction: normal;
	-moz-animation-direction: normal;
	transform: scale(.3);
	-o-transform: scale(.3);
	-ms-transform: scale(.3);
	-webkit-transform: scale(.3);
	-moz-transform: scale(.3);
}

#floatBarsG_1[b-f26hxnva25] {
	left: 0;
	animation-delay: 0.6s;
	-o-animation-delay: 0.6s;
	-ms-animation-delay: 0.6s;
	-webkit-animation-delay: 0.6s;
	-moz-animation-delay: 0.6s;
}

#floatBarsG_2[b-f26hxnva25] {
	left: 29px;
	animation-delay: 0.75s;
	-o-animation-delay: 0.75s;
	-ms-animation-delay: 0.75s;
	-webkit-animation-delay: 0.75s;
	-moz-animation-delay: 0.75s;
}

#floatBarsG_3[b-f26hxnva25] {
	left: 58px;
	animation-delay: 0.9s;
	-o-animation-delay: 0.9s;
	-ms-animation-delay: 0.9s;
	-webkit-animation-delay: 0.9s;
	-moz-animation-delay: 0.9s;
}

#floatBarsG_4[b-f26hxnva25] {
	left: 88px;
	animation-delay: 1.05s;
	-o-animation-delay: 1.05s;
	-ms-animation-delay: 1.05s;
	-webkit-animation-delay: 1.05s;
	-moz-animation-delay: 1.05s;
}

#floatBarsG_5[b-f26hxnva25] {
	left: 117px;
	animation-delay: 1.2s;
	-o-animation-delay: 1.2s;
	-ms-animation-delay: 1.2s;
	-webkit-animation-delay: 1.2s;
	-moz-animation-delay: 1.2s;
}

#floatBarsG_6[b-f26hxnva25] {
	left: 146px;
	animation-delay: 1.35s;
	-o-animation-delay: 1.35s;
	-ms-animation-delay: 1.35s;
	-webkit-animation-delay: 1.35s;
	-moz-animation-delay: 1.35s;
}

#floatBarsG_7[b-f26hxnva25] {
	left: 175px;
	animation-delay: 1.5s;
	-o-animation-delay: 1.5s;
	-ms-animation-delay: 1.5s;
	-webkit-animation-delay: 1.5s;
	-moz-animation-delay: 1.5s;
}

#floatBarsG_8[b-f26hxnva25] {
	left: 205px;
	animation-delay: 1.64s;
	-o-animation-delay: 1.64s;
	-ms-animation-delay: 1.64s;
	-webkit-animation-delay: 1.64s;
	-moz-animation-delay: 1.64s;
}



@keyframes bounce_floatBarsG-b-f26hxnva25 {
	0% {
		transform: scale(1);
		background-color: rgb(0,0,0);
	}

	100% {
		transform: scale(.3);
		background-color: rgb(255,255,255);
	}
}

@-o-keyframes bounce_floatBarsG {
	0% {
		-o-transform: scale(1);
		background-color: rgb(0,0,0);
	}

	100% {
		-o-transform: scale(.3);
		background-color: rgb(255,255,255);
	}
}

@-ms-keyframes bounce_floatBarsG {
	0% {
		-ms-transform: scale(1);
		background-color: rgb(0,0,0);
	}

	100% {
		-ms-transform: scale(.3);
		background-color: rgb(255,255,255);
	}
}

@-webkit-keyframes bounce_floatBarsG {
	0% {
		-webkit-transform: scale(1);
		background-color: rgb(0,0,0);
	}

	100% {
		-webkit-transform: scale(.3);
		background-color: rgb(255,255,255);
	}
}

@-moz-keyframes bounce_floatBarsG {
	0% {
		-moz-transform: scale(1);
		background-color: rgb(0,0,0);
	}

	100% {
		-moz-transform: scale(.3);
		background-color: rgb(255,255,255);
	}
}
/* /Pages/Shared/Components/PercentColumnLabel.razor.rz.scp.css */
.editable-label[b-thtxylzp62] {
    padding: 0.5rem;
    background-color: white;
    border-radius: 0.5rem;
    border: 1px solid #ccc;
    cursor: pointer;
}

.quantity[b-thtxylzp62] {
    font-weight: bold;
    font-size: 15px;
    width : 100%;
}

.quantity-color-default[b-thtxylzp62] {
    color: blue;
}

.quantity-color-green[b-thtxylzp62] {
    color: green;
}

.quantity-color-red[b-thtxylzp62] {
    color: red;
}

.quantity-color-zero[b-thtxylzp62] {
    color: lightgray;
    font-weight: normal;
}
/* /Pages/Shared/Components/PriceColumnLabel.razor.rz.scp.css */
.editable-label[b-tf7jacrk94] {
    padding: 0.5rem;
    background-color: white;
    border-radius: 0.5rem;
    border: 1px solid #ccc;
    cursor: pointer;
}

.price[b-tf7jacrk94] {
    font-weight : bold;
    width: 100%;
}

.price-color-default[b-tf7jacrk94] {
    color: blue;
}

.price-color-green[b-tf7jacrk94] {
    color: green;
}

.price-color-red[b-tf7jacrk94] {
    color: red;
}

.price-color-zero[b-tf7jacrk94] {
    color: blue;
    font-weight: bold;
}
/* /Pages/Shared/Components/PriceLabel.razor.rz.scp.css */
.price[b-8ur3glnh7f] {
    font-size : 15px;
    font-weight : bold;
}

.price-color-default[b-8ur3glnh7f] {
    color: blue;
}

.price-color-green[b-8ur3glnh7f] {
    color: green;
}

.price-color-red[b-8ur3glnh7f] {
    color: red;
}

.price-color-black[b-8ur3glnh7f] {
    color: black;
}

.price-color-white[b-8ur3glnh7f] {
    color: white;
}

.price-color-primary[b-8ur3glnh7f] {
    color: var(--rz-primary);
}

.price-color-zero[b-8ur3glnh7f] {
    color: lightgray;
    font-weight : normal;
}


/* /Pages/Shared/Components/QuantityColumnLabel.razor.rz.scp.css */
.editable-label[b-csts7m3i9a] {
    padding: 0.5rem;
    background-color: white;
    border-radius: 0.5rem;
    border: 1px solid #ccc;
    cursor: pointer;
    height: 34px;
}

.quantity[b-csts7m3i9a] {
    font-weight: bold;
    font-size: 15px;
    width : 100%;
}

.quantity-color-default[b-csts7m3i9a] {
    color: blue;
}

.quantity-color-green[b-csts7m3i9a] {
    color: green;
}

.quantity-color-red[b-csts7m3i9a] {
    color: red;
}

.quantity-color-zero[b-csts7m3i9a] {
    color: lightgray;
    font-weight: normal;
}
/* /Pages/Shared/Components/QuantityLabel.razor.rz.scp.css */
.quantity[b-uec2od2c8h] {
    font-weight: bold;
    font-size: 15px;
}

.quantity-color-default[b-uec2od2c8h] {
    color: blue;
}

.quantity-color-green[b-uec2od2c8h] {
    color: green;
}

.quantity-color-red[b-uec2od2c8h] {
    color: red;
}
.quantity-color-black[b-uec2od2c8h] {
    color: black;
}

.quantity-color-white[b-uec2od2c8h] {
    color: white;
}

.quantity-color-primary[b-uec2od2c8h] {
    color: var(--rz-primary);
}

.quantity-color-zero[b-uec2od2c8h] {
    color: lightgray;
    font-weight: normal;
}
/* /Pages/Shared/Components/SuperInputAmountForFilter.razor.rz.scp.css */
/* /Pages/Shared/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-ps4nzgvh3r],
.components-reconnect-repeated-attempt-visible[b-ps4nzgvh3r],
.components-reconnect-failed-visible[b-ps4nzgvh3r],
.components-pause-visible[b-ps4nzgvh3r],
.components-resume-failed-visible[b-ps4nzgvh3r],
.components-rejoining-animation[b-ps4nzgvh3r] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-retrying[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-failed[b-ps4nzgvh3r],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-ps4nzgvh3r] {
    display: block;
}


#components-reconnect-modal[b-ps4nzgvh3r] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-ps4nzgvh3r 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-ps4nzgvh3r 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-ps4nzgvh3r 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-ps4nzgvh3r]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-ps4nzgvh3r 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-ps4nzgvh3r {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-ps4nzgvh3r {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-ps4nzgvh3r {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-ps4nzgvh3r] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-ps4nzgvh3r] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-ps4nzgvh3r] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-ps4nzgvh3r] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-ps4nzgvh3r] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-ps4nzgvh3r] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-ps4nzgvh3r] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-ps4nzgvh3r 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-ps4nzgvh3r] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-ps4nzgvh3r {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
